Subject: bug#10437: parallel-tests: `recheck' recipe can cause sed to be invoked with too long input lines

From: Stefano Lattarini <[email-masked]>
Date: Thu, 05 Jan 2012 19:24:48 +0100

On 01/05/2012 07:06 PM, Paul Eggert wrote:
> On 01/05/12 06:07, Stefano Lattarini wrote:
>> Which "sort of thing" exactly?  I could find only one place which suffers
>> of the problem you've pointed out, i.e., the `recheck recheck-html' rules
>> in lib/am/check.am.  Am I missing something?
> 
> Sorry, that appears to have been a miscount on my part:
> I was counting some files that Automake generates for itself
> while building.  In Automake source there are only two instances,
> which your patch caught: the 'recheck recheck-html' rule and
> the 'check-TESTS' rule (the latter is what actually triggered
> the problem with coreutils).
>
Wait, the `check-TESTS' rules didn't use any sed invocation, so it wouldn't make
sense for it to trip for a sed failure ...  What am I missing?

Thanks,
  Stefano